<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		GeneralATOMManager.class.php
 * @brief		一般用ATOMクラス
 * @date		2007.01.25
 */

require_once(CLASS_DIR."/adodb/BitcubeDB.class.php");

class GeneralATOMManager extends BitcubeDB
{
	function GeneralATOMManager()
	{
		$this->BitcubeDB();
	}
	
	// ATOM情報取得
	function getATOMInfo($group_code)
	{
		// SQL文
		$sql  = " select ";
		$sql .= " $this->template.group_code ";
		$sql .= " ,$this->template.atom_tmpl ";
		$sql .= " from ";
		$sql .= " $this->template ";
		$sql .= " where $this->template.is_delete = 0 and $this->template.group_code = $group_code ";
		
		return $this->GetRow($sql);
	}
}
